public class WorkingTime {
	public static void main(String[] args) {
		
		int[][] times = new int[2][2];
		double fullWork = 0;

		if (args.length == 2) {
			times = myTime(args[0], args[1]);
			if (times[0][0] == 0 && times[0][1] == 0 && times[1][0] == 0
					&& times[1][1] == 0) {
				fullWork = 0;
			} else {
				fullWork = myWorkingTime(times);
				System.out.println("Du hast " + fullWork
						+ " Stunden gearbeitet!");
			}
		} else {
			System.out.println("Falsche anzahl an Argumenten. 2 werden bentigt!");
		}
	}

	private static int[][] myTime(String begin, String end) {
		int[][] wTime = new int[2][2];
		
		String[] ergebnis1 = begin.split(":");
		String[] ergebnis2 = end.split(":");
		
		int begin1 = Integer.valueOf( ergebnis1[0] ).intValue();
		int begin2 = Integer.valueOf( ergebnis1[1] ).intValue();
		int end1 = Integer.valueOf( ergebnis2[0] ).intValue();
		int end2 = Integer.valueOf( ergebnis2[1] ).intValue();
		
		wTime[0][0] = begin1;
		wTime[0][1] = begin2;
		wTime[1][0] = end1;
		wTime[1][1] = end2;

		return wTime;
	}

	private static double myWorkingTime(int[][] wTime) {

		boolean nachtSchicht;
		
		int zahl1 = (wTime[0][0] * 60) + wTime[0][1] ;
		int zahl2 = (wTime[1][0] * 60) + wTime[1][1] ;
		
		int zErg = 0;
		zErg = zahl1 <= zahl2 ?  zahl2 - zahl1  : ((24*60)-zahl1) + zahl2;
		nachtSchicht = zahl1 <= zahl2 ? false : true;
		
		if (nachtSchicht==false & zErg<=240){
			// keine Pause
		}else if(nachtSchicht==false & zErg<=480){
			// 30 minutige Pause
			zErg -= 30;
		}else if(nachtSchicht==false & zErg>480){
			// 45 minutige Pause
			zErg -= 45;
		}
		return Math.round(zErg * 100/ 600 ) / 10.; 
	}
}
